Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 22 Nov 2000 13:06:20 -0800 (PST)
From:      rod.taylor@inquent.com
To:        freebsd-gnats-submit@FreeBSD.org
Subject:   ports/23027: Postgresql Update and re-work
Message-ID:  <20001122210620.D57A237B4C5@hub.freebsd.org>

next in thread | raw e-mail | index | archive | help

>Number:         23027
>Category:       ports
>Synopsis:       Postgresql Update and re-work
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          sw-bug
>Submitter-Id:   current-users
>Arrival-Date:   Wed Nov 22 13:10:00 PST 2000
>Closed-Date:
>Last-Modified:
>Originator:     Rod Taylor
>Release:        4.1-STABLE
>Organization:
InQuent
>Environment:
FreeBSD fury.inquent.com 4.1-STABLE FreeBSD 4.1-STABLE #0: Thu Aug 24 16:23:59 EDT 2000     root@rod.taylor.inquent.com:/usr/obj/usr/src/sys/GENERIC  i386
>Description:
Updated postgresql to 7.03.  At the same time it now uses dialog for selection of extra options.
Ran out of time and it's not likley I'll have much time for a while as such I'm submitting what I put together today during a break.

- Problems:  make clean doesn't rm -f Makefile.inc properly
- Dialog output isn't displayed -- works from command line -- Environment problem?

Anyone willing to take to the task of finishing it off?  Inserted dialog due to the largely increasing number of options (wait till 7.1!)

Next step to this would be to integrate ports/21784


Thanks for taking a look.
>How-To-Repeat:

>Fix:
diff -ruN postgresql7/Makefile postgresql7.new/Makefile
--- postgresql7/Makefile        Sat Oct  7 20:04:36 2000
+++ postgresql7.new/Makefile    Wed Nov 22 15:53:11 2000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=      postgresql
-PORTVERSION=   7.0.2
+PORTVERSION=   7.0.3
 CATEGORIES=    databases
 MASTER_SITES=  ftp://ftp.postgresql.org/pub/%SUBDIR%/ \
                ftp://ftp.de.postgresql.org/%SUBDIR%/ \
@@ -24,52 +24,6 @@
 
 Y2K=           http://www.postgresql.org/y2k.html
 
-INSTALLS_SHLIB=        YES
-LDCONFIG_DIRS= %%PREFIX%%/pgsql/lib
-
-# if you want to use the tcl/tk frontend pgaccess, then you need to build
-# postgresql with tcl support by typing: make -DWITH_TCL
-.if defined(WITH_TCL)
-TCL_INCDIR=    ${LOCALBASE}/include/tcl8.3
-TK_INCDIR=     ${LOCALBASE}/include/tk8.3
-MAKE_ENV=      TCL_INCDIR=${TCL_INCDIR}
-CONFIGURE_ENV= WISH=${LOCALBASE}/bin/wish8.3
-LIB_DEPENDS=   tcl83.1:${PORTSDIR}/lang/tcl83 \
-               tk83.1:${PORTSDIR}/x11-toolkits/tk83
-CONFIGURE_TCL= --with-tcl --with-tclconfig="${LOCALBASE}/lib/tcl8.3 ${LOCALBASE}/lib/tk8.3"
-.endif
-
-# if you want to disable the multibyte support, type:
-#   make -DWITHOUT_MULTIBYTE
-#
-# if you want to set the default encoding for the multibyte support, type:
-#   make DEFAULT_ENCODING=<encoding>
-# where <encoding> is one of these:
-#   SQL_ASCII   LATIN1      LATIN2      LATIN3      LATIN4      LATIN5
-#   EUC_JP      EUC_CN      EUC_KR      EUC_TW      KOI8
-#   UNICODE     MULE_INTERNAL           WIN         ALT
-.if defined(WITHOUT_MULTIBYTE)
-CONFIGURE_MULTIBYTE=   # none
-.elif defined(DEFAULT_ENCODING)
-CONFIGURE_MULTIBYTE=   --enable-multibyte="${DEFAULT_ENCODING}"
-.else
-CONFIGURE_MULTIBYTE=   --enable-multibyte
-.endif
-.if defined(WITH_PERL)
-CONFIGURE_PERL=                --with-perl
-.endif
-.if defined(WITH_ODBC)
-CONFIGURE_ODBC=                --with-odbc
-.endif
-
-# if you want jdbc, type make -DWITH_JDBC
-# Honors JAVA_HOME if you have it set, and don't want the dependency.
-.if defined(WITH_JDBC)
-JAVA_HOME?=    ${LOCALBASE}/jdk1.1.8
-BUILD_DEPENDS= ${JAVA_HOME}/bin/javac:${PORTSDIR}/java/jdk
-SCRIPTS_ENV+=  JAVA_HOME=${JAVA_HOME}
-.endif
-
 WRKSRC=                ${WRKDIR}/${DISTNAME}/src
 DOCDIR=                ${WRKDIR}/${DISTNAME}/doc
 
@@ -80,102 +34,19 @@
                --enable-locale \
                --with-template=`uname -s | ${TR} '[A-Z]' '[a-z]'` \
                --with-includes="${PREFIX}/include ${TCL_INCDIR} ${TK_INCDIR}" \
-               ${CONFIGURE_TCL} \
-               ${CONFIGURE_MULTIBYTE} \
-               ${CONFIGURE_PERL} \
-               ${CONFIGURE_ODBC} \
                --with-libraries=${PREFIX}/lib
 
-MAN1=          createdb.1 createlang.1 createuser.1 dropdb.1 droplang.1 \
-               dropuser.1 ecpg.1 initdb.1 initlocation.1 ipcclean.1 pg_ctl.1 \
-               pg_dump.1 pg_dumpall.1 pg_passwd.1 pg_upgrade.1 pgaccess.1 \
-               pgadmin.1 pgtclsh.1 pgtksh.1 postgres.1 postmaster.1 psql.1 \
-               vacuumdb.1
-MANL=          abort.l alter_group.l alter_table.l alter_user.l \
-               begin.l close.l cluster.l comment.l commit.l copy.l \
-               create_aggregate.l create_constraint_trigger.l \
-               create_database.l create_function.l create_group.l \
-               create_index.l create_language.l create_operator.l \
-               create_rule.l create_sequence.l create_table.l \
-               create_table_as.l create_trigger.l create_type.l \
-               create_user.l create_view.l declare.l delete.l \
-               drop_aggregate.l drop_database.l drop_function.l \
-               drop_group.l drop_index.l drop_language.l \
-               drop_operator.l drop_rule.l drop_sequence.l \
-               drop_table.l drop_trigger.l drop_type.l drop_user.l \
-               drop_view.l end.l explain.l fetch.l grant.l insert.l \
-               listen.l load.l lock.l move.l notify.l reindex.l \
-               reset.l revoke.l rollback.l select.l select_into.l \
-               set.l show.l truncate.l unlisten.l update.l vacuum.l
+INSTALLS_SHLIB=        YES
+LDCONFIG_DIRS= %%PREFIX%%/pgsql/lib
+
+SCRIPTS_ENV=   WRKDIRPREFIX="${WRKDIRPREFIX}" \
+               TOUCH="${TOUCH}" \
+               MKDIR="${MKDIR}"
 
-MANPREFIX=     ${PREFIX}/pgsql
 
 pre-fetch:
-       @${ECHO_MSG} "To install and run postgresql you need to compile kernel with:"
-       @${ECHO_MSG} "    options    \"SYSVSHM, SYSVSEM, SYSVMSG\""
-.if !defined(WITH_TCL)
-       @${ECHO_MSG} "To build the \"PostgreSQL to Tcl interface library\", libpgtcl, type:"
-       @${ECHO_MSG} "    make -DWITH_TCL"
-.else
-       @${ECHO_MSG} "Building PostgreSQL with \"libpgtcl\"."
-.endif
-.if !defined(WITHOUT_MULTIBYTE)
-       @${ECHO_MSG} "To disable multibyte support, type:"
-       @${ECHO_MSG} "    make -DWITHOUT_MULTIBYTE"
-.if !defined(DEFAULT_ENCODING)
-       @${ECHO_MSG} "To set the default encoding for the multibyte support, type:"
-       @${ECHO_MSG} "    make DEFAULT_ENCODING=<encoding>"
-       @${ECHO_MSG} "where <encoding> is one of these:"
-       @${ECHO_MSG} "    SQL_ASCII   LATIN1      LATIN2      LATIN3      LATIN4      LATIN5"
-       @${ECHO_MSG} "    EUC_JP      EUC_CN      EUC_KR      EUC_TW      KOI8"
-       @${ECHO_MSG} "    UNICODE     MULE_INTERNAL           WIN         ALT"
-.else
-       @${ECHO_MSG} "The default encoding is '${DEFAULT_ENCODING}'."
-.endif
-.else
-       @${ECHO_MSG} "Building PostgreSQL without multibyte support."
-.endif
-.if !defined(WITH_JDBC)
-       @${ECHO_MSG} "To build Java (JDBC) support, type:"
-       @${ECHO_MSG} "    make -DWITH_JDBC"
-.else
-       @${ECHO_MSG} "Building PostgreSQL with \"postgresql.jar\"."
-.endif
-.if !defined(WITH_PERL)
-       @${ECHO_MSG} "To build Perl interface and pl/Perl interpreter:"
-       @${ECHO_MSG} "    make -DWITH_PERL"
-.else
-       @${ECHO_MSG} "Building PostgreSQL with \"pl/Perl\"."
-.endif
-.if !defined(WITH_ODBC)
-       @${ECHO_MSG} "To build the ODBC driver package:"
-       @${ECHO_MSG} "    make -DWITH_ODBC"
-.else
-       @${ECHO_MSG} "Building PostgreSQL with ODBC Drivers."
-.endif
+       @ ${SETENV} ${SCRIPTS_ENV} ${SH} ${SCRIPTDIR}/configure.postgresql
 
-post-patch:
-       @ ${MV} ${WRKSRC}/template/freebsd ${WRKSRC}/template/freebsd.orig
-       @ ${SED} -e 's#CFLAGS:-O2 -m486 -pipe#CFLAGS:${CFLAGS}#' \
-               -e 's#USE_LOCALE:no#USE_LOCALE:yes#' \
-       ${WRKSRC}/template/freebsd.orig >> ${WRKSRC}/template/freebsd
-       @ ${MV} ${WRKSRC}/Makefile.global.in ${WRKSRC}/Makefile.global.in.old
-       @ ${SED} -e 's=!!PREFIX!!=${PREFIX}=g' \
-               ${WRKSRC}/Makefile.global.in.old \
-               >> ${WRKSRC}/Makefile.global.in
-
-post-build:
-.if defined(WITH_JDBC)
-       @ cd ${WRKSRC}/interfaces/jdbc && ${GMAKE}
-.if !defined(NOPORTDOCS)
-       @ cd ${WRKSRC}/interfaces/jdbc && ${GMAKE} examples
-.endif
-.endif
-       @ ${ECHO} "------------------------------------------------------------"
-       @ ${ECHO} "Dump existing databases, before installing new db version !!"
-       @ ${ECHO} "Detailed instructions, see"
-       @ ${ECHO} "${WRKDIR}/${DISTNAME}/INSTALL"
-       @ ${ECHO} "------------------------------------------------------------"
 
 pre-install:
 .if defined(PACKAGE_BUILDING)
@@ -184,6 +55,7 @@
        @ ${MKDIR} ${PREFIX}/pgsql
        @ ${SETENV} ${MAKE_ENV} perl ${SCRIPTDIR}/createuser
 
+
 post-install:
 .if defined(NOPORTDOCS)
        @ ( cd ${DOCDIR}; ${GMAKE} man )
@@ -222,45 +94,6 @@
        @ ${CHMOD} 554 ${PREFIX}/etc/rc.d/pgsql.sh
        @ ${CHOWN} root.pgsql ${PREFIX}/etc/rc.d/pgsql.sh
        @ ${INSTALL_DATA} ${FILESDIR}/post-install-notes ${PREFIX}/pgsql
-.if defined(WITHOUT_MULTIBYTE)
-       @${CP} ${TMPPLIST} ${TMPPLIST}.nomulti
-       @${GREP} -v pgsql/bin/pg_encoding ${TMPPLIST}.nomulti > ${TMPPLIST}
-.endif
-.if defined(WITH_TCL)
-       @${CP} ${TMPPLIST} ${TMPPLIST}.notcl
-       @${CAT} ${PKGDIR}/pkg-plist.tcl ${TMPPLIST}.notcl > ${TMPPLIST}
-       @${RM} ${TMPPLIST}.notcl
-.endif
-.if defined(WITH_ODBC)
-       @${CP} ${TMPPLIST} ${TMPPLIST}.noodbc
-       @${CAT} ${PKGDIR}/pkg-plist.odbc ${TMPPLIST}.noodbc > ${TMPPLIST}
-       @${RM} ${TMPPLIST}.noodbc
-.endif
-.if defined(WITH_JDBC)
-       @ ${MKDIR} -m 0555 ${PREFIX}/share/java/classes
-       @ ${INSTALL_DATA} ${WRKSRC}/interfaces/jdbc/postgresql.jar \
-                         ${PREFIX}/share/java/classes/postgresql.jar
-       @ ${ECHO_MSG} "---------------------------------------------------------"
-       @ ${ECHO_MSG} "Putting postgresql.jar in"
-       @ ${ECHO_MSG} "${PREFIX}/share/java/classes/postgresql.jar"
-       @ ${ECHO_MSG} "Add this to your CLASSPATH!"
-       @ ${ECHO_MSG} "ALSO NOTE: path inside jar file modified from 6.5.x:"
-       @ ${ECHO_MSG} "  'postgresql.*' -> 'org.postgresql.*'!"
-       @ ${ECHO_MSG} "You will need to modify you applications' props files."
-       @ ${ECHO_MSG} "---------------------------------------------------------"
-       @ ${CAT} ${PKGDIR}/pkg-plist.jdbc >> ${TMPPLIST}
-.if !defined(NOPORTDOCS)
-       @ ${MKDIR} -m 0555 ${PREFIX}/share/examples/pgsql/jdbc
-       @ ${INSTALL_DATA} ${WRKSRC}/interfaces/jdbc/example/*java \
-                         ${PREFIX}/share/examples/pgsql/jdbc
-       @ ${INSTALL_DATA} ${WRKSRC}/interfaces/jdbc/README* \
-                         ${PREFIX}/share/examples/pgsql/jdbc
-       @ ${ECHO_MSG} "---------------------------------------------------------"
-       @ ${ECHO_MSG} "Putting jdbc examples into ${PREFIX}/share/examples/pgsql"
-       @ ${ECHO_MSG} "---------------------------------------------------------"
-       @ ${CAT} ${PKGDIR}/pkg-plist.doc >> ${TMPPLIST}
-.endif
-.endif
 .if !defined(NOPORTDOCS)
        ${MKDIR} ${PREFIX}/share/doc/pgsql
        @ ${GMAKE} -C ${WRKDIR}/${DISTNAME}/doc install
@@ -278,4 +111,13 @@
 .endfor
 .endif
 
-.include <bsd.port.mk>
+
+post-clean:
+        @ ${RM} -f ${WRKDIRPREFIX}${.CURDIR}/Makefile.inc
+
+
+.if exists(${WRKDIRPREFIX}${.CURDIR}/Makefile.inc)
+.include "${WRKDIRPREFIX}${.CURDIR}/Makefile.inc"
+.endif
+
+.include <bsd.port.mk>diff -ruN postgresql7/README.html postgresql7.new/README.html
--- postgresql7/README.html     Wed Dec 31 19:00:00 1969
+++ postgresql7.new/README.html Sun Mar 12 07:44:59 2000
@@ -0,0 +1,30 @@
+<html>
+<title> The FreeBSD Ports Collection (databases/postgresql)</title>
+<head><h1> The FreeBSD Ports Collection ("databases/postgresql")</h1> </head> <hr>
+<body>
+
+<p>You are now in the directory for the port "databases/postgresql" (package name "postgresql-6.5.2").
+
+<p>This is the one-line description for this port:
+
+<p><hr><p>
+A robust, next generation, object-relational DBMS
+<p><hr>
+
+<p>Please read the file "<a href="pkg/DESCR">pkg/DESCR</a>" for a
+longer description.
+
+<p>Go to the <a href="../../README.html">top of the ports tree</a> for
+a summary on how to use the ports collection.
+
+<p>
+This port requires package(s) "gmake-3.78.1" to build.
+<p>
+
+
+<p><hr><p>
+<a href="../README.html"> Go up one level</a>
+|
+<a href="../../README.html"> Go to top of ports tree</a>
+</body>
+</html>
diff -ruN postgresql7/distinfo postgresql7.new/distinfo
--- postgresql7/distinfo        Tue Jun 20 01:08:06 2000
+++ postgresql7.new/distinfo    Wed Nov 22 10:32:09 2000
@@ -1,4 +1,3 @@
-MD5 (postgresql/postgresql-7.0.2.base.tar.gz) = 871d23b85d9a3599a7ed75dfc7da7ba7
-MD5 (postgresql/postgresql-7.0.2.support.tar.gz) = c21180a6485d85785c8e69f0cbff05dd
-MD5 (postgresql/postgresql-7.0.2.docs.tar.gz) = efac1f87463f252e54d72b256885b883
-MD5 (postgresql/postgresql-7.0.2.test.tar.gz) = 3443b3d83194c396f20aee2adc6f93bf
+MD5 (postgresql/postgresql-7.0.3.base.tar.gz) = 0eeda8217b5b11e5a9351fc424808426
+MD5 (postgresql/postgresql-7.0.3.support.tar.gz) = b930f71068d776ef45402fcbebfa58cf
+MD5 (postgresql/postgresql-7.0.3.docs.tar.gz) = 3d3fc76073f6d77febefc83f887fc87d
diff -ruN postgresql7/scripts/configure.postgresql postgresql7.new/scripts/configure.postgresql
--- postgresql7/scripts/configure.postgresql    Wed Dec 31 19:00:00 1969
+++ postgresql7.new/scripts/configure.postgresql        Wed Nov 22 15:53:13 2000
@@ -0,0 +1,215 @@
+#!/bin/sh
+# $FreeBSD$
+
+if [ -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc ]; then
+       exit
+fi
+
+if [ "${BATCH}" ]; then
+       set \"MultiByte\"
+else
+       /usr/bin/dialog --title "configuration options" --clear \
+               --checklist "\n\
+Please select desired options:" -1 -1 16 \
+JDBC       "JDBC" OFF \
+MultiByte  "Multibyte for Multilingualism" OFF \
+ODBC       "ODBC" OFF \
+Perl       "Perl" OFF \
+TCL        "TCL" OFF\
+2> /tmp/checklist.tmp.$$
+
+       retval=$?
+
+       if [ -s /tmp/checklist.tmp.$$ ]; then
+               set `cat /tmp/checklist.tmp.$$`
+       fi
+       rm -f /tmp/checklist.tmp.$$
+
+       case $retval in
+               0)      if [ -z "$*" ]; then
+                               echo "Nothing selected"
+                       fi
+                       ;;
+               1)      echo "Cancel pressed."
+                       exit 1
+                       ;;
+       esac
+fi
+
+${MKDIR} ${WRKDIRPREFIX}${CURDIR}
+exec > ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+
+while [ "$1" ]; do
+       case $1 in
+               \"JDBC\")
+                       echo "JAVA_HOME?=       ${LOCALBASE}/jdk1.1.8"
+                       echo "BUILD_DEPENDS=    ${JAVA_HOME}/bin/javac:${PORTSDIR}/java/jdk"
+                       echo "SCRIPTS_ENV+=     JAVA_HOME=${JAVA_HOME}"
+                       echo "POST_INSTALL+=    @ ${MKDIR} -m 0555 ${PREFIX}/share/java/classes;"
+                       echo "POST_INSTALL+=    ${INSTALL_DATA} ${WRKSRC}/interfaces/jdbc/postgresql.jar ${PREFIX}/share/java/classes/postgresql.jar;"
+                       echo "POST_INSTALL+=    ${ECHO_MSG} \"---------------------------------------------------------\";"
+                       echo "POST_INSTALL+=    ${ECHO_MSG} \"Putting postgresql.jar in\";"
+                       echo "POST_INSTALL+=    ${ECHO_MSG} \"${PREFIX}/share/java/classes/postgresql.jar\";"
+                       echo "POST_INSTALL+=    ${ECHO_MSG} \"Add this to your CLASSPATH!\";"
+                       echo "POST_INSTALL+=    ${ECHO_MSG} \"ALSO NOTE: path inside jar file modified from 6.5.x:\";"
+                       echo "POST_INSTALL+=    ${ECHO_MSG} \"  'postgresql.*' -> 'org.postgresql.*'!\";"
+                       echo "POST_INSTALL+=    ${ECHO_MSG} \"You will need to modify you applications' props files.\";"
+                       echo "POST_INSTALL+=    ${ECHO_MSG} \"---------------------------------------------------------\";"
+                       echo "POST_INSTALL+=    ${CAT} ${PKGDIR}/pkg-plist.jdbc >> ${TMPPLIST};"
+
+                       if [ "${NOPORTDOCS}" ]; then
+                               echo "POST_INSTALL+=    ${MKDIR} -m 0555 ${PREFIX}/share/examples/pgsql/jdbc;"
+                               echo "POST_INSTALL+=    ${INSTALL_DATA} ${WRKSRC}/interfaces/jdbc/example/*java ${PREFIX}/share/examples/pgsql/jdbc;"
+                               echo "POST_INSTALL+=    ${INSTALL_DATA} ${WRKSRC}/interfaces/jdbc/README* ${PREFIX}/share/examples/pgsql/jdbc;"
+                               echo "POST_INSTALL+=    ${ECHO_MSG} \"---------------------------------------------------------\";"
+                               echo "POST_INSTALL+=    ${ECHO_MSG} \"Putting jdbc examples into ${PREFIX}/share/examples/pgsql\";"
+                               echo "POST_INSTALL+=    ${ECHO_MSG} \"---------------------------------------------------------\";"
+                               echo "POST_INSTALL+=    ${CAT} ${PKGDIR}/pkg-plist.doc >> ${TMPPLIST}\";"
+                       fi
+                       ;;
+               \"MultiByte\")
+                       MULTIBYTE=1
+                       ;;
+               \"ODBC\")
+                       echo "CONFIGURE_ARGS+=  --with-odbc"
+                       echo "POST_INSTALL+=    @${CP} ${TMPPLIST} ${TMPPLIST}.noodbc;"
+                       echo "POST_INSTALL+=    @${CAT} ${PKGDIR}/pkg-plist.odbc ${TMPPLIST}.noodbc > ${TMPPLIST};"
+                       echo "POST_INSTALL+=    @${RM} ${TMPPLIST}.noodbc;"
+                       ;;
+               \"Perl\")
+                       echo "CONFIGURE_ARGS+=  --with-perl"
+                       ;;
+               \"TCL\")
+                       echo "TCL_INCDIR=       ${LOCALBASE}/include/tcl8.3"
+                       echo "TK_INCDIR=        ${LOCALBASE}/include/tk8.3"
+                       echo "MAKE_ENV= TCL_INCDIR=${TCL_INCDIR}"
+                       echo "CONFIGURE_ENV=    WISH=${LOCALBASE}/bin/wish8.3"
+                       echo "LIB_DEPENDS+=     tcl83.1:${PORTSDIR}/lang/tcl83 \
+                                               tk83.1:${PORTSDIR}/x11-toolkits/tk83"
+                       echo "CONFIGURE_ARGS+=  --with-tcl --with-tclconfig=\"${LOCALBASE}/lib/tcl8.3 ${LOCALBASE}/lib/tk8.3\""
+                       echo "POST_BUILD+=      @${CP} ${TMPPLIST} ${TMPPLIST}.notcl;"
+                       echo "POST_BUILD+=      @${CAT} ${PKGDIR}/pkg-plist.tcl ${TMPPLIST}.notcl > ${TMPPLIST};"
+                       echo "POST_BUILD+=      @${RM} ${TMPPLIST}.notcl;"
+                       ;;
+               \"nothing\")
+                       ;;
+               *)
+                       echo "Invalid option(s): $*" > /dev/stderr
+                       rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+                       exit 1
+                       ;;
+       esac
+       shift
+done
+
+exec > /dev/stderr
+
+if [ "${MULTIBYTE}" ]; then
+
+       if [ "${BATCH}" ]; then
+               set \"nothing\"
+       else
+               /usr/bin/dialog --title "configuration options" --clear \
+               --radiolist "\n\
+Please select desired options:" -1 -1 16 \
+nothing       "Default Encoding" ON \
+SQL_ASCII     "SQL_ASCII" OFF \
+LATIN1        "LATIN1" OFF \
+LATIN2        "LATIN2" OFF \
+LATIN3        "LATIN3" OFF \
+LATIN4        "LATIN4" OFF \
+LATIN5        "LATIN5" OFF \
+EUC_JP        "EUC_JP" OFF \
+EUC_CN        "EUC_CN" OFF \
+EUC_KR        "EUC_KR" OFF \
+EUC_TW        "EUC_TW" OFF \
+KOI8          "KOI8" OFF \
+UNICODE       "UNICODE" OFF \
+MULE_INTERNAL "MULE_INTERNAL" OFF \
+WIN           "WIN" OFF \
+ALT           "ALT" OFF \
+2> /tmp/checklist.tmp.$$
+
+               retval=$?
+
+               if [ -s /tmp/checklist.tmp.$$ ]; then
+                       set `cat /tmp/checklist.tmp.$$`
+               fi
+               rm -f /tmp/checklist.tmp.$$
+
+               case $retval in
+                       0)      if [ -z "$*" ]; then
+                                       echo "Nothing selected"
+                               fi
+                               ;;
+                       1)      echo "Cancel pressed."
+                               exit 1
+                               ;;
+               esac
+       fi
+
+       ${MKDIR} ${WRKDIRPREFIX}${CURDIR}
+       exec > ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+
+       while [ "$1" ]; do
+               case $1 in
+                       \"SQL_ASCII\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"SQL_ASCII\"";
+                       ;;
+                       \"LATIN1\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"LATIN1\"";
+                       ;;
+                       \"LATIN2\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"LATIN2\"";
+                       ;;
+                       \"LATIN3\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"LATIN3\"";
+                       ;;
+                       \"LATIN4\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"LATIN4\"";
+                       ;;
+                       \"LATIN5\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"LATIN5\"";
+                       ;;
+                       \"EUC_JP\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"EUC_JP\"";
+                       ;;
+                       \"EUC_CN\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"EUC_CN\"";
+                       ;;
+                       \"EUC_KR\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"EUC_KR\"";
+                       ;;
+                       \"EUC_TW\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"EUC_TW\"";
+                       ;;
+                       \"KOI8\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"KOI8\"";
+                       ;;
+                       \"UNICODE\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"UNICODE\"";
+                       ;;
+                       \"MULE_INTERNAL\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"MULE_INTERNAL\"";
+                       ;;
+                       \"WIN\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"WIN\"";
+                       ;;
+                       \"ALT\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte=\"ALT\"";
+                       ;;
+                       \"nothing\")
+                               echo "CONFIGURE_ARGS+=  --enable-multibyte";
+                       ;;
+                       *)
+                               echo "Invalid option(s): $*" > /dev/stderr
+                               rm -f ${WRKDIRPREFIX}${CURDIR}/Makefile.inc
+                               exit 1
+                               ;;
+               esac
+               shift
+       done
+else
+       echo "POST_INSTALL+= ${CP} ${TMPPLIST} ${TMPPLIST}.nomulti;"
+       echo "POST_INSTALL+= ${GREP} -v pgsql/bin/pg_encoding ${TMPPLIST}.nomulti > ${TMPPLIST};"
+fi

>Release-Note:
>Audit-Trail:
>Unformatted:


To Unsubscribe: send mail to majordomo@FreeBSD.org
with "unsubscribe freebsd-ports" in the body of the message




Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?20001122210620.D57A237B4C5>